VERSION 5.00
Begin VB.Form frmInfrared 
   AutoRedraw      =   -1  'True
   Caption         =   "Infrared Detect"
   ClientHeight    =   2970
   ClientLeft      =   9900
   ClientTop       =   7275
   ClientWidth     =   4845
   DrawStyle       =   6  'Inside Solid
   FillStyle       =   2  'Horizontal Line
   ForeColor       =   &H00004000&
   Icon            =   "Form1.frx":0000
   LinkTopic       =   "Form1"
   ScaleHeight     =   2970
   ScaleWidth      =   4845
   Begin VB.Timer Timer2 
      Interval        =   500
      Left            =   4200
      Top             =   600
   End
   Begin VB.Timer Timer1 
      Interval        =   1000
      Left            =   4200
      Top             =   1320
   End
   Begin VB.CommandButton Command1 
      BackColor       =   &H8000000E&
      Cancel          =   -1  'True
      Caption         =   "Click for Status of Pin 10"
      Default         =   -1  'True
      DragIcon        =   "Form1.frx":0E42
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   12
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      Height          =   1215
      Left            =   1680
      MaskColor       =   &H00C0FFC0&
      MousePointer    =   14  'Arrow and Question
      Style           =   1  'Graphical
      TabIndex        =   0
      ToolTipText     =   "Click here to Check status of PIN10"
      Top             =   360
      UseMaskColor    =   -1  'True
      Width           =   1575
   End
   Begin VB.Label lblTimeInterupt1 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   195
      Left            =   2520
      TabIndex        =   4
      Top             =   2640
      Visible         =   0   'False
      Width           =   105
   End
   Begin VB.Label lblTimeInterupt0 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   8.25
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H000000FF&
      Height          =   195
      Left            =   2520
      TabIndex        =   3
      Top             =   2400
      Visible         =   0   'False
      Width           =   105
   End
   Begin VB.Label lblTime 
      Alignment       =   1  'Right Justify
      AutoSize        =   -1  'True
      BackStyle       =   0  'Transparent
      BeginProperty Font 
         Name            =   "Arial Black"
         Size            =   9.75
         Charset         =   0
         Weight          =   400
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H00404040&
      Height          =   270
      Left            =   4515
      MouseIcon       =   "Form1.frx":1C84
      TabIndex        =   2
      Top             =   0
      Width           =   60
   End
   Begin VB.Label lblStatus 
      Alignment       =   2  'Center
      AutoSize        =   -1  'True
      BackColor       =   &H0000FFFF&
      Caption         =   "Beam Status?"
      DragMode        =   1  'Automatic
      BeginProperty Font 
         Name            =   "MS Sans Serif"
         Size            =   13.5
         Charset         =   0
         Weight          =   700
         Underline       =   0   'False
         Italic          =   0   'False
         Strikethrough   =   0   'False
      EndProperty
      ForeColor       =   &H8000000D&
      Height          =   360
      Left            =   1200
      TabIndex        =   1
      ToolTipText     =   "Beam Status"
      Top             =   1800
      Width           =   2565
      WordWrap        =   -1  'True
   End
   Begin VB.Menu Exit 
      Caption         =   "&Exit"
      Index           =   0
   End
End
Attribute VB_Name = "frmInfrared"
Attribute VB_GlobalNameSpace = False
Attribute VB_Creatable = False
Attribute VB_PredeclaredId = True
Attribute VB_Exposed = False
Option Explicit
Const Data = &H378, PortRead = &H379, Sync = &H37A 'Printer port LPT1 addresses
Public AbortFlag As Boolean
Public d As Data
Public Current As Date
Public I As Integer
Dim RobotObject As CRSRobot
' For accessing the robot:

' For file transfer / remote execution:
Dim Controller As New CRSRemote

' From the v3 (teachables) file:
Dim locA As CRSLocation, locB As CRSLocation, locSafe As CRSLocation
Dim AppDepDist As Single        ' approach / depart distance
Dim TheSpeed As Long            ' robot speed
Dim GForce As Long              ' gripper forcev3 As CRSV3File
Public counter1 As Integer
Public counter As Integer
Public Pin10 As Integer

Private Sub MyRead()
Timer1.Enabled = True
Pin10 = Inp(PortRead) And 64  ' pin #10
    If Pin10 = 64 Then
        AbortFlag = 0
        AbortFlag = False
        'RobotObject.ClearAbort **********
        'do whatever if pin10 is high
        lblStatus.ForeColor = (&H8000000D)
        lblStatus.Caption = "Beam Active"
        lblStatus.ToolTipText = " The Status of the Infrared Beam"
        Print "pin10 is high, No beam Interuption"
    Else
        'do whatever if pin10 is low
        AbortFlag = 1
        AbortFlag = True
        'RobotObject.Abort ***************
        lblStatus.ForeColor = (&H80000012)
        lblStatus.Caption = "Beam Inactive"
        Print "Beam Interupted"
        lblTimeInterupt0.Visible = True
        lblTimeInterupt1.Visible = True
        lblTimeInterupt0.Caption = "Beam last interupted at:" & CStr(Time)
        lblTimeInterupt1.Caption = CStr(Date)
    End If

End Sub

Private Sub Exit_Click(Index As Integer)

Unload Me

End Sub

Private Sub Form_Load()

Timer2.Enabled = True
frmInfrared.Show

MyRead


Do While AbortFlag = 1
    DoEvents
Loop

End Sub

Private Sub Timer1_Timer()

MyRead


End Sub

Private Sub Timer2_Timer()
'Display Date & Time
lblTime.Caption = (Now)
Do While AbortFlag = True
    DoEvents
Loop

'Stop Displaying if Beam interupted
End Sub
